> For the complete documentation index, see [llms.txt](https://docs.iyzico.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iyzico.com/en/advanced/refund-to-balance.md).

# Refund to Balance

Refund to Balance provides you with the ability to make instant refunds to your customers' iyzico accounts. As the refund process is independent of banking procedures, once approval is obtained from the merchant, funds are transferred directly to the account without relying on the banking processes.

### How to launch Refund to Balance process?

* When your customer initiates a refund process on your website, they choose the option "Refund to my iyzico account." The link or button to facilitate this process is obtained through a request to the iyzico service.&#x20;
* When the customer clicks on the provided link, they are redirected to the iyzico page where they either register or log in to their iyzico account using their phone number/email and the SMS code they receive during the login process.&#x20;
* Once the customer confirms the refund to be credited to their iyzico account, they are redirected to the callback URL you specified during the request.&#x20;
* Upon approval of the refund by the merchant, the transfer of funds to the customer's iyzico account takes place.

#### Refund to Balance Request;

## Refund to Balance Request

<mark style="color:green;">`POST`</mark> `https://api.iyzipay.com/payment/iyzipos/item/approve`

#### Request Body

| Name                                          | Type   | Description                                   |
| --------------------------------------------- | ------ | --------------------------------------------- |
| locale                                        | String | Language settings (default: tr)               |
| conversationId                                | String | Conversation ID to match request and response |
| paymentId<mark style="color:red;">\*</mark>   | String | ID of the related payment.                    |
| callbackUrl<mark style="color:red;">\*</mark> | String | Redirection URL(https)                        |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}

#### Refund to Balance Response;

| Parameter name     |         | Description                                                        |
| ------------------ | ------- | ------------------------------------------------------------------ |
| **token**          | string  | Unique value created for refund. This token is sent to callBackUrl |
| **url**            | string  | Url to start the refund to iyzico account process                  |
| **status**         | string  | Service response result (success / failure)                        |
| **errorCode**      | string  | Error code if service response status is failure                   |
| **errorMessage**   | string  | Error message if service response status is failure                |
| **errorGroup**     | string  | Error group if service response status is failure                  |
| **locale**         | string  | Language (default: tr)                                             |
| **systemTime**     | integer | Response system timestamp value                                    |
| **conversationId** | string  | If set, conversation ID to match request and response              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/advanced/refund-to-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
